package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.VipGroup;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2019/9/21
 */
public class VipGroupApplyBaseInfoDto extends VipGroup {

    @ApiModelProperty(value = "科目编号列表")
    private String subjectIdList;

    @ApiModelProperty(value = "课时总数")
    private Integer allCourseNum;

    @ApiModelProperty(value = "教师ID",required = false)
    private Long teacherId;

    @ApiModelProperty(value = "课酬",required = false)
    private BigDecimal salary;

    @ApiModelProperty(value = "预计招生人数",hidden = true)
    private Integer expectStudentNum;

    @ApiModelProperty(value = "教师线上课课酬")
    private BigDecimal onlineTeacherSalary;

    @ApiModelProperty(value = "教师线下课课酬")
    private BigDecimal offlineTeacherSalary;

    public String getSubjectIdList() {
        return subjectIdList;
    }

    public void setSubjectIdList(String subjectIdList) {
        this.subjectIdList = subjectIdList;
    }

    public BigDecimal getOnlineTeacherSalary() {
        return onlineTeacherSalary;
    }

    public void setOnlineTeacherSalary(BigDecimal onlineTeacherSalary) {
        this.onlineTeacherSalary = onlineTeacherSalary;
    }

    public BigDecimal getOfflineTeacherSalary() {
        return offlineTeacherSalary;
    }

    public void setOfflineTeacherSalary(BigDecimal offlineTeacherSalary) {
        this.offlineTeacherSalary = offlineTeacherSalary;
    }

    public Integer getAllCourseNum() {
        return allCourseNum;
    }

    public void setAllCourseNum(Integer allCourseNum) {
        this.allCourseNum = allCourseNum;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getExpectStudentNum() {
        return expectStudentNum;
    }

    public void setExpectStudentNum(Integer expectStudentNum) {
        this.expectStudentNum = expectStudentNum;
    }

    public BigDecimal getSalary() {
        return salary;
    }

    public void setSalary(BigDecimal salary) {
        this.salary = salary;
    }
}
